CBuilder (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db

## Class CBuilder

- java.lang.Object
- - org.apache.cassandra.db.CBuilder

-     public abstract class CBuilder
      extends java.lang.Object

  Allows to build ClusteringPrefixes, either Clustering or ClusteringBound.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CBuilder` | `STATIC_BUILDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CBuilder()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract CBuilder` | `add(java.nio.ByteBuffer value)`
    `abstract CBuilder` | `add(java.lang.Object value)`
    `abstract Clustering` | `build()`
    `abstract ClusteringBound` | `buildBound(boolean isStart, boolean isInclusive)`
    `abstract ClusteringBound` | `buildBoundWith(java.nio.ByteBuffer value, boolean isStart, boolean isInclusive)`
    `abstract ClusteringBound` | `buildBoundWith(java.util.List<java.nio.ByteBuffer> newValues, boolean isStart, boolean isInclusive)`
    `abstract Slice` | `buildSlice()`
    `abstract Clustering` | `buildWith(java.nio.ByteBuffer value)`
    `abstract Clustering` | `buildWith(java.util.List<java.nio.ByteBuffer> newValues)`
    `abstract ClusteringComparator` | `comparator()`
    `abstract int` | `count()`
    `static CBuilder` | `create(ClusteringComparator comparator)`
    `abstract int` | `remainingCount()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATIC_BUILDER

          public static CBuilder STATIC_BUILDER

  - ### Constructor Detail

    - #### CBuilder

          public CBuilder()

  - ### Method Detail

    - #### create

          public static CBuilder create(ClusteringComparator comparator)

    - #### count

          public abstract int count()

    - #### remainingCount

          public abstract int remainingCount()

    - #### comparator

          public abstract ClusteringComparator comparator()

    - #### add

          public abstract CBuilder add(java.nio.ByteBuffer value)

    - #### add

          public abstract CBuilder add(java.lang.Object value)

    - #### build

          public abstract Clustering build()

    - #### buildBound

          public abstract ClusteringBound buildBound(boolean isStart,
                                                     boolean isInclusive)

    - #### buildSlice

          public abstract Slice buildSlice()

    - #### buildWith

          public abstract Clustering buildWith(java.nio.ByteBuffer value)

    - #### buildWith

          public abstract Clustering buildWith(java.util.List<java.nio.ByteBuffer> newValues)

    - #### buildBoundWith

          public abstract ClusteringBound buildBoundWith(java.nio.ByteBuffer value,
                                                         boolean isStart,
                                                         boolean isInclusive)

    - #### buildBoundWith

          public abstract ClusteringBound buildBoundWith(java.util.List<java.nio.ByteBuffer> newValues,
                                                         boolean isStart,
                                                         boolean isInclusive)

Copyright © 2018 The Apache Software Foundation